package org.rcisoft.business.cmspriceclick.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

@Data
public class CmsPriceClickDTO extends CmsPriceClick {
    /**
     * 条数
     */
    private Integer rows;
    /**
     * 页数
     */
    private Integer page;
    /**
     * 序号
     */
    @Excel(name = "序号", orderNum = "1", width = 20)
    private Integer number;


    /**
     * 编号
     */
    @Excel(name = "编号", orderNum = "2", width = 20)
    private String code;

//    /**
//     * 新闻标题
//     */
//    @Excel(name = "新闻标题", orderNum = "2", width = 20)
//    private String title;
    /**
     * 商家ID
     */
    private Integer unitId;
    /**
     * 商家名称
     */
    @Excel(name = "商家名称", orderNum = "3", width = 20)
    private String unitName;
    /**
     * 用户名称
     */
    @Excel(name = "用户名称", orderNum = "4", width = 20)
    private String userName;
    /**
     * 用户账号
     */
    @Excel(name = "用户账号", orderNum = "5", width = 20)
    private String loginName;
    /**
     * 用户身份证
     */
    @Excel(name = "身份证号", orderNum = "7", width = 20)
    private String idCard;
    /**
     * 手机号
     */
    @Excel(name = "手机号", orderNum = "6", width = 20)
    private String phone;
    /**
     * 银行卡号
     */
    @Excel(name = "银行卡号", orderNum = "7", width = 20)
    private String bankCard;

    /**
     * 开始时间
     */
    @Excel(name = "开始时间", orderNum = "8", width = 20)
    private String startTime;
    /**
     * 结束时间
     */
    @Excel(name = "结束时间", orderNum = "9", width = 20)
    private String endTime;
}
